@import url('https://fonts.googleapis.com/css2?family=Lato:wght@100&family=Ubuntu:wght@300&display=swap');

html{
    background-image: url(../image/background.png);
    background-repeat: no-repeat;
    background-position: center center;
    background-attachment: fixed;
    background-size: cover;
}

.container{
    width: 88%;
    margin: 0 auto;
}

.header-sing-up{
    background-color: rgba(0, 0, 0, 0.4);
}

.header-navigetion{
    display: flex;
    justify-content: space-between;
    padding-top: 18px;
    padding-bottom: 18px;
}

.logo{
    font-family: 'Ubuntu', sans-serif;
    text-transform: uppercase;
    font-weight: 700;
    font-size: 22px;
    line-height: 22px;
    color: #FFFFFF;
    transition: 0.4s;
}

.logo:hover{
    color: #3CB878;
}

.header-icons{
    display: flex;
    column-gap: 25px;
}

.icon-path{
    transition: 0.4s;
}

.header-icon:hover .icon-path{
    fill: #3CB878;
    transition: 0.4s;
}

.header-login{
    font-family: 'Ubuntu', sans-serif;
    font-size: 14px;
    line-height: 14px;
    color: #FFFFFF;
    align-self: center;
}

.header-login::before{
    content: "";
    border-left: 1px solid rgba(255, 255, 255, 0.9);;
    height: 19px;
    margin-right: 27px;
}

.header-login a{
    color: #FFFFFF;
    transition: 0.4s;
}

.log-in:hover, .sing-up:hover{
    color: #3CB878;
}

.main-sing-up{
    display: flex;
    height: 100vh;
    justify-content: center;
    align-items: center;
}

.sing-up-form{
    background-color: #fff;
    width: 444px;
    position: relative;
}
                        
.green-rectangle{
    width: 18px;
    height: 18px;
    background-color: #3CB878;
    position: absolute;
    left: 0;
    top: 29px;
}

.form-title-wrap{
    display: flex;
    justify-content: space-between;
    padding: 31px 60px 0 60px;
}

.title-sing-up{
    font-family: 'Ubuntu';
    font-size: 20px;
    line-height: 20px;
    color: #434343;
}

.log-in-form{
    font-family: 'Ubuntu';
    font-size: 14px;
    line-height: 14px;
    color: #3CB878;
    transition: 0.4s;
}

.log-in-form:hover{
    text-decoration: underline;
    color: #01813F;
}
.buttons{
    border: none;
    display: flex;
    justify-content: space-between;
    padding: 0;
    margin-top: 15px;
    margin-right: 60px;
    margin-left: 60px;
}

.bt-facebook{
    display: flex;
    align-items: center;
    background: #305DB8;
    border: none;
    padding: 0;
    border-radius: 3px;
    min-width: 160px;
    transition: 0.4s;
}

.bt-facebook:hover{
    background: #022263;
}
.fb-image{
    display: inline-block;
    margin-top: 12px;
    margin-bottom: 12px;
    margin-left: 16px;
    margin-right: 18px;
}

.fb-text{
    font-family: 'Ubuntu';
    font-size: 16px;
    line-height: 16px;
    color: #FFFFFF;
    display: inline-block;
}

.fb-text::before{
  content: "";
  border-left: 1px solid rgb(10, 22, 47, 0.1);
  margin-right: 18px;
}

.bt-gmail{
    display: flex;
    align-items: center;
    background: #DF4A32;
    border: none;
    padding: 0;
    border-radius: 3px;
    min-width: 160px;
    transition: 0.4s;
}

.bt-gmail:hover{
    background: #AB1F09;
}

.gm-image{
    display: inline-block;
    margin-top: 15px;
    margin-bottom: 14px;
    margin-left: 12px;
    margin-right: 7px;
}

.gm-text{
    font-family: 'Ubuntu';
    font-size: 16px;
    line-height: 16px;
    color: #FFFFFF;
    display: inline-block;
}

.gm-text::before{
    content: "";
    border-left: 1px solid rgb(10, 22, 47, 0.1);
    margin-right: 30px;
}

.or{
    font-family: 'Ubuntu';
    font-size: 14px;
    line-height: 14px;
    color: #848484;
    text-align: center;
    margin-top: 31px; 
    position: relative;
}

.or::before{
    content: "";
    height: 1px;
    width: 34%;
    background-color: #F2F2F2;
    display: block;
    position: absolute;
    top: 9px;
    left: 60px;
}
.or::after{
    content: "";
    height: 1px;
    width: 34%;
    background-color: #F2F2F2;
    display: block;
    position: absolute;
    bottom: 4px;
    right: 60px;
}
.form-information{
    border: none;
    margin-top: 12px;
    padding: 0;
    margin-right: 60px;
    margin-left: 60px;
}

.input-form{
    display: block;
    width: 100%;
    border-radius: 3px;
    border: 1px solid #F2F2F2;
    margin-bottom: 15px;
    padding-top: 15px;
    padding-bottom: 15px;
    padding-left: 20px;
    font-family: 'Ubuntu';
    font-size: 14px;
    line-height: 14px;
    color: #434343;
    transition: 0.4s;
}

.input-form::placeholder{
    font-family: 'Ubuntu';
    font-size: 14px;
    line-height: 14px;
    color: #BEBEBE;
}

.input-form:focus-visible{
    border: none;
    box-shadow: 0px 3px 8px 0px rgb(0 0 0 / 52%);
    outline: none;
}

.checkbox-form:checked,
.checkbox-form:not(:checked){
  position: absolute;
  left: -9999px;
}

.checkbox-text{
    font-family: 'Ubuntu';
    font-size: 14px;
    line-height: 20px;
    color: #434343;
    display: inline-block;
    position: relative;
    cursor: pointer;
    padding-left: 28px;
}

.checkbox-form:checked + .checkbox-text::before,
.checkbox-form:not(:checked) + .checkbox-text::before{
    content: "";
    position: absolute;
    left: 0px;
    top: 0px;
    width: 20px;
    height: 20px;
    border: 1px solid #F2F2F2;
    background-color: #ffffff;
}

.checkbox-form:checked + .checkbox-text::after,
.checkbox-form:not(:checked) + .checkbox-text::after{
    content: "";
    position: absolute;
    transition: all 0.2s ease;
    left: 3px;
    top: 3px;
    width: 15px;
    height: 9px;
    border-radius: 1px;
    border-left: 2px solid #01813F;
    border-bottom: 2px solid #01813F;
    transform: rotate(-45deg);
}

.checkbox-form:not(:checked) + .checkbox-text::after{
    opacity: 0;
}

.checkbox-form:checked + .checkbox-text::after{
    opacity: 1;
}

.conditions{
    color: #3CB878;
    transition: 0.4s;
}

.conditions:hover{
    color: #01813F;
    text-decoration: underline;
}

.create-account-button{
    width: 100%;
    font-family: 'Ubuntu';
    font-weight: 400;
    font-size: 16px;
    color: #FFFFFF;
    padding-top: 16px;
    padding-bottom: 16px;
    background-color: #3CB878CC;
    border: none;
    border-radius: 3px;
    margin-top: 20px;
    margin-bottom: 38px;
    transition: 0.4s;
}

.create-account-button:hover{
   background-color: #01813F;
}